Bug 1647999 - EPEL7 - banshee won't install on RHEL 7.6
Summary: EPEL7 - banshee won't install on RHEL 7.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: banshee
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Moez Roy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1406012 1589490 (view as bug list)
Depends On:
Blocks: EPEL7-Deps
TreeView+ depends on / blocked
 
Reported: 2018-11-08 17:18 UTC by Troy Dawson
Modified: 2019-10-23 13:20 UTC (History)
9 users (show)

Fixed In Version: banshee-2.6.2-11.2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-01 03:12:50 UTC
Type: Bug


Attachments (Terms of Use)
libgpod-sharp PoC (2.49 KB, text/x-matlab)
2018-12-19 12:07 UTC, Pablo Greco
tdawson: review+
Details

Description Troy Dawson 2018-11-08 17:18:45 UTC
Current banshee for EPEL7 (banshee-2.6.2-11.el7) requires
  libgpod-sharp >= 0:0.8.2
RHEL 7.6 contains libgpod (libgpod-0.8.2-12.el7) but it does not have libgpod-sharp.

Please fix this package so that it can be installed in RHEL 7.6.
If you have not responded in a week, we will have a proven packager fix it.
If you know you will not be able to get to it and would like it fixed sooner, please let us know in this bug.
If you feel this package should no longer be in EPEL7, please let us know in this bug.

Comment 1 Pablo Greco 2018-11-19 18:26:06 UTC
I have a srpm to build libgpod-sharp as a part of epel (it was removed when libgpod became a part of rhel).
The spec is ready for a first review of a packager, but we need to add the new package to git.

Comment 2 Troy Dawson 2018-12-18 15:24:39 UTC
Can you put the link to the review request for libgpod-sharp to this bug so we can track it, and/or have a packager review it.

Comment 3 Pablo Greco 2018-12-19 12:07:07 UTC
Created attachment 1515578 [details]
libgpod-sharp PoC

libgpod-sharp.spec PoC
It is basically a mix of libgpod from rhel and the last released in epel

Comment 4 Troy Dawson 2019-01-09 17:51:13 UTC
The spec file looks good.  It builds and installs on RHEL7/EPEL7.

Comment 5 Troy Dawson 2019-02-05 20:26:46 UTC
Hi Pablo,
Do you have a review request or anything like that for libgpod-sharp?
Since this is an EPEL package that won't be in Fedora, I guess you would follow what is here
https://fedoraproject.org/wiki/EPEL/FAQ#Is_it_possible_to_get_a_package_only_into_EPEL_and_not_Fedora.3F
Basically you go through the review process for Fedora and specify only EL targets for the initial import.

Comment 6 Troy Dawson 2019-04-04 14:42:18 UTC
Any progress on this?
Could I create libgpod-sharp in EPEL7?  Yes
But that would mean that I own it, and I don't want to own it because I don't use it.

Comment 7 Troy Dawson 2019-04-10 20:08:15 UTC
The following builds on EPEL7 and installs on RHEL/CentOS/SL 7.
Here is a scratch build with this change
https://koji.fedoraproject.org/koji/taskinfo?taskID=34104828

Are people ok with me doing this?
I figure it's better than not installing at all.
And if someone ever builds libgpod-sharp for RHEL7, this can be updated back.

diff --git a/banshee.spec b/banshee.spec
index fb391a5..4181849 100644
--- a/banshee.spec
+++ b/banshee.spec
@@ -1,6 +1,6 @@
 Name:    banshee
 Version: 2.6.2
-Release: 11%{?dist}
+Release: 11.1%{?dist}
 Summary: Easily import, manage, and play selections from your music collection
 
 License: MIT
@@ -20,8 +20,8 @@ Patch7: banshee-2.6.2-gst1.0-handle-events-fix.patch
 # https://bugzilla.gnome.org/show_bug.cgi?id=740879
 Patch8: banshee-2.6.2-sqlite-hints.patch
 
-# Mono only available on these:
-ExclusiveArch: %{mono_arches}
+# Mono only available on these arches for rhel7
+ExclusiveArch: x86_64 ppc64
 
 BuildRequires: mono-devel
 BuildRequires: mono-zeroconf-devel >= 0.9.0-2
@@ -36,16 +36,22 @@ BuildRequires: dbus-glib-devel
 BuildRequires: GConf2-devel
 
 # Web Browser
-BuildRequires: webkitgtk-devel
+# OLD webkitgtk1 is dead.
+# BuildRequires: webkitgtk-devel
+# But we still need gtk2-devel
+BuildRequires: gtk2-devel
 
 # Sharp
 BuildRequires: gio-sharp-devel gtk-sharp-beans-devel
 BuildRequires: gkeyfile-sharp-devel gudev-sharp-devel
 BuildRequires: gtk-sharp2-devel taglib-sharp-devel
 BuildRequires: gnome-sharp-devel notify-sharp-devel
+# libgpod-sharp-devel not in RHEL or EPEL
+%if 0%{?fedora}
 %ifnarch s390 s390x
 BuildRequires: libgpod-sharp-devel >= 0.8.2
 %endif
+%endif
 BuildRequires: gdata-sharp-devel
 BuildRequires: dbus-sharp-devel >= 1:0.7.0
 BuildRequires: dbus-sharp-glib-devel
@@ -75,10 +81,12 @@ BuildRequires: autoconf automake libtool
 
 Requires:      shared-mime-info
 Requires:      gstreamer1-plugins-good
+%if 0%{?fedora}
 %ifnarch s390 s390x
 Requires:      libgpod-sharp >= 0.8.2
 Requires:      gvfs-afc
 %endif
+%endif
 Requires:      gio-sharp gtk-sharp-beans
 Requires:      media-player-info
 
@@ -130,7 +138,7 @@ sed -i "s#mono/2.0#mono/4.5#g" configure
 sed -i "s#Mono 2.0#Mono 4.5#g" configure
 
 %configure  --disable-docs --enable-mtp \
-%ifarch s390 s390x
+%if 0%{?rhel}
             --disable-appledevice \
 %endif
             --with-vendor-build-id=Fedora%{?fedora}-%{version}-%{release} \
@@ -195,6 +203,9 @@ update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
 %{_libdir}/pkgconfig/banshee-*.pc
 
 %changelog
+* Wed Apr 10 2019 Troy Dawson <tdawson@redhat.com> - 2.6.2-11.1
+- Remove libipod-sharp dependencies (#1647999)
+
 * Fri Feb 12 2016 Tom Callaway <spot@fedoraproject.org> - 2.6.2-11
 - fixup sqlite hints patch to do proper version checking and match upstream commit

Comment 8 Fedora Update System 2019-04-12 14:51:19 UTC
banshee-2.6.2-11.1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3eed2a4655

Comment 9 Troy Dawson 2019-04-12 14:51:52 UTC
*** Bug 1406012 has been marked as a duplicate of this bug. ***

Comment 10 Troy Dawson 2019-04-12 14:52:14 UTC
*** Bug 1589490 has been marked as a duplicate of this bug. ***

Comment 11 Fedora Update System 2019-04-13 01:16:16 UTC
banshee-2.6.2-11.1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3eed2a4655

Comment 12 Fedora Update System 2019-04-15 18:43:32 UTC
banshee-2.6.2-11.2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3eed2a4655

Comment 13 Fedora Update System 2019-04-16 04:08:33 UTC
banshee-2.6.2-11.2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3eed2a4655

Comment 14 Fedora Update System 2019-05-01 03:12:50 UTC
banshee-2.6.2-11.2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Troy Dawson 2019-10-22 14:12:19 UTC
Comment on attachment 1515578 [details]
libgpod-sharp PoC

closing review

Comment 16 Troy Dawson 2019-10-23 13:20:19 UTC
Comment on attachment 1515578 [details]
libgpod-sharp PoC

Approve


Note You need to log in before you can comment on or make changes to this bug.